iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapTransitRouteSearchRequest Class Reference

公交路径规划 More...

`#include <AMapSearchObj.h>`

Inheritance diagram for AMapTransitRouteSearchRequest:

## Properties
NSInteger | strategy
| 公交换乘策略([default = 0])
NSString * | city
| 起点所在城市, 必填. 仅支持citycode
NSString * | destinationCity
| 目的地所在城市, 必填. 仅支持citycode，与city相同时代表同城，不同时代表跨城
BOOL | nightflag
| 是否包含夜班车，默认为 NO
NSString * | originPOI
| 起点POI ID
NSString * | destinationPOI
| 目的地POI ID
NSString * | adcode
| 起点所在行政区域编码
NSString * | destinationAdcode
| 终点所在行政区域编码
NSInteger | alternativeRoute
| 返回方案条数 可传入1-10的阿拉伯数字，代表返回的不同条数。默认值：5
BOOL | multiExport
| 是否返回所有地铁出入口，默认为NO
NSInteger | maxTrans
| 最大换乘次数 0：直达 1：最多换乘1次 2：最多换乘2次 3：最多换乘3次 4：最多换乘4次。默认值：4
NSString * | date
| 请求日期 例如:2013-10-28
NSString * | time
| 请求时间 例如:9-54
AMapTransitRouteShowFieldsType | showFieldsType
| 返回结果控制
Properties inherited from AMapRouteSearchBaseRequest
AMapGeoPoint * | origin
| 出发点
AMapGeoPoint * | destination
| 目的地

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

公交路径规划

## Property Documentation

## ◆ adcode

- (NSString*) adcode
| read write nonatomic copy

起点所在行政区域编码

## ◆ alternativeRoute

- (NSInteger) alternativeRoute
| read write nonatomic assign

返回方案条数 可传入1-10的阿拉伯数字，代表返回的不同条数。默认值：5

## ◆ city

- (NSString*) city
| read write nonatomic copy

起点所在城市, 必填. 仅支持citycode

## ◆ date

- (NSString*) date
| read write nonatomic copy

请求日期 例如:2013-10-28

## ◆ destinationAdcode

- (NSString*) destinationAdcode
| read write nonatomic copy

终点所在行政区域编码

## ◆ destinationCity

- (NSString*) destinationCity
| read write nonatomic copy

目的地所在城市, 必填. 仅支持citycode，与city相同时代表同城，不同时代表跨城

## ◆ destinationPOI

- (NSString*) destinationPOI
| read write nonatomic copy

目的地POI ID

## ◆ maxTrans

- (NSInteger) maxTrans
| read write nonatomic assign

最大换乘次数 0：直达 1：最多换乘1次 2：最多换乘2次 3：最多换乘3次 4：最多换乘4次。默认值：4

## ◆ multiExport

- (BOOL) multiExport
| read write nonatomic assign

是否返回所有地铁出入口，默认为NO

## ◆ nightflag

- (BOOL) nightflag
| read write nonatomic assign

是否包含夜班车，默认为 NO

## ◆ originPOI

- (NSString*) originPOI
| read write nonatomic copy

起点POI ID

## ◆ showFieldsType

- (AMapTransitRouteShowFieldsType) showFieldsType
| read write nonatomic assign

返回结果控制

## ◆ strategy

- (NSInteger) strategy
| read write nonatomic assign

公交换乘策略([default = 0])

## ◆ time

- (NSString*) time
| read write nonatomic copy

请求时间 例如:9-54

The documentation for this class was generated from the following file:

- AMapSearchObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。